# Delete webhook endpoint

This method allows you to delete an existing webhook endpoint.
For that, you need to provide the endpoint identifier you want to delete.

Endpoint: DELETE /webhooks/endpoints/{id}
Version: 1.0.0
Security: merchant, signature

## Security:

  - `merchant` (unknown)
    apiKey in header merchant

  - `signature` (unknown)
    apiKey in header signature

## Path parameters:

  - `id` (string, required)
    Webhook endpoint identifier.

## Header parameters:

  - `merchant` (string, required)

  - `signature` (string, required)

## Response 200:

  - `200` (unknown)
    Request received
Response either confirms success or returns error object.

## Response 200 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Unauthorized access due to invalid credentials.
    Example: 1.01

  - `error.messages` (array, required)
    Array of error messages applied to the decline payment.

## Response 204:

  - `204` (unknown)
    Webhook endpoint has been deleted

## Response 200 examples:

  - `Authentication failed` (unknown)

